@import (reference) '../../less/platoreso.less';

@cardPreviewBackground: #fff;
@cardBorderRadius: 3px;

.card {

  .name {
    //font-weight: 500;
    color: @darkerColor;
    word-wrap: break-word;
  }

  .body {
    color: @darkColor;
  }

  .tags {
    .tag {
      display: inline-block;
      margin-right: 1/4em;
      padding: 1/4em 1/2em;
      border-radius: 1/3em;
      font-size: 3/4em;
      line-height: 1;
      color: @darkColor;
      background-color: @lighterColor;
    }
  }

  .stats {
    display: flex;
    flex-direction: row;

    // Yeah in CardDetails we messed up stats and actions
    .stat, .actions {
      overflow: hidden;
      white-space: nowrap;
      text-overflow: ellipsis;
      color: @grey;
      transition: color 0.25s;
      &:hover {
        color: @textColor;
      }
      :not(.snapshot) &.likes {
        cursor: pointer;
        &.liked,
        &:hover {
          .icon {
            color: @red;
          }
        }
      }
      &.report {
        cursor: pointer;
        &.reported,
        &:hover {
          .icon {
            color: @orange;
          }
        }
      }
      &.comments {
        cursor: pointer;
      }
    }
  }

  .actions {
    .action {
      cursor: pointer;
      color: @grey;
      transition: color 0.25s;
      &:hover {
        color: @textColor;
      }
      &.edit {
        cursor: pointer;
        &:hover {
          color: @blue;
        }
        /*&:hover {
          .icon {
            color: @blue;
          }
        }*/
      }
    }
  }

  .metadata {
    display: flex;
    align-items: center;
    .profile {
      flex: 0 0 auto;
    }
    .info {
      flex: 1 1 auto;
      overflow: hidden;
      .author, .created-date {
        overflow: hidden;
        white-space: nowrap;
        text-overflow: ellipsis;
      }
      .created-date {
        color: @lightColor;
      }
    }
    .actions {
      flex: 0 0 auto;
    }
  }

  .badgesContainer {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    pointer-events: none;

    .badges {
      background: #ECEFF1; //@orange;
      display: flex;
      flex-direction: column;
      color: #616161;
      padding: 0.5em;

      &.in {
        border-radius: 0 0 1em 0;
      }

      &.out {
        border-radius: 0 0 0 1em;
      }

      .badge {
        .icon {
          margin: 0;
        }
      }

      &:empty {
        visibility: hidden;
      }

      &:not(:empty) {

      }
    }
  }
}

.attachmentChooser {
  .attachments {
    margin-top: 1em;
  }
}

.attachments {
  .attachment {
    display: flex;
    align-items: center;
    margin-bottom: 0.5em;
    > div:not(:last-child) {
      margin-right: 1em;
    }
    .fileName {
      flex: 1 1 auto;
      overflow: hidden;
      text-overflow: ellipsis;
      white-space: nowrap;
    }
    .fileSize {
      flex: 0 0 auto;
      font-size: 0.85em;
      color: @color;
    }
    .fileDate {
      flex: 0 0 auto;
      font-size: 0.85em;
      color: @color;
    }
    .fileActions {
      flex: 0 0 auto;
    }
  }
}